UNLISTEN()

NAME
UNLISTEN - stop listening for a notification

SYNOPSIS

UNLISTEN { name | * }

DESCRIPTION

UNLISTEN is used to remove an existing registration for NOTIFY events. UNLISTEN cancels any existing registration of the current PostgreSQL session as a listener on the notification name. The special wildcard * cancels all listener registrations for the current session.

NOTIFY [notify(7)] contains a more extensive discussion of the use of LISTEN and NOTIFY.

PARAMETERS

name
    Name of a notification (any identifier).

*   All current listen registrations for this session are cleared.

NOTES

You can unlisten something you were not listening for; no warning or error will appear.

At the end of each session, UNLISTEN * is automatically executed.

EXAMPLES

To make a registration:

LISTEN virtual;
NOTIFY virtual;
Asynchronous notification "virtual" received from server process with PID 8448.

Once UNLISTEN has been executed, further NOTIFY commands will be ignored:

UNLISTEN virtual;
NOTIFY virtual;
-- no NOTIFY event is received

COMPATIBILITY

There is no UNLISTEN command in the SQL standard.

SEE ALSO
LISTEN [listen(7)], NOTIFY [notify(l)]